<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="ebay.hibernate.DbSmtmessage" table="DB_SMTMESSAGE">
        <id name="sid" type="java.lang.String">
            <column name="SID" length="50" />
            <generator class="assigned" />
        </id>
        <property name="sendername" type="java.lang.String">
            <column name="SENDERNAME" length="100" />
        </property>
        <property name="senderloginid" type="java.lang.String">
            <column name="SENDERLOGINID" length="100" />
        </property>
        <property name="producturl" type="java.lang.String">
            <column name="PRODUCTURL" length="1000" />
        </property>
        <property name="read" type="java.lang.String">
            <column name="READ" length="50" />
        </property>
        <property name="receivename" type="java.lang.String">
            <column name="RECEIVENAME" length="100" />
        </property>
        <property name="receiveloginid" type="java.lang.String">
            <column name="RECEIVELOGINID" length="50" />
        </property>
        <property name="createdate" type="java.util.Date">
            <column name="CREATEDATE" length="7" />
        </property>
        <property name="receivedate" type="java.util.Date">
            <column name="RECEIVEDATE" length="7" />
        </property>
        <property name="messagetype" type="java.lang.String">
            <column name="MESSAGETYPE" length="100" />
        </property>
        <property name="havefile" type="java.lang.String">
            <column name="HAVEFILE" length="50" />
        </property>
        <property name="fileurl" type="java.lang.String">
            <column name="FILEURL" length="500" />
        </property>
        <property name="orderurl" type="java.lang.String">
            <column name="ORDERURL" length="500" />
        </property>
        <property name="itemid" type="java.lang.String">
            <column name="ITEMID" length="50" />
        </property>
        <property name="productid" type="java.lang.String">
            <column name="PRODUCTID" length="200" />
        </property>
        <property name="productname" type="java.lang.String">
            <column name="PRODUCTNAME" length="1000" />
        </property>
        <property name="orderid" type="java.lang.String">
            <column name="ORDERID" length="50" />
        </property>
        <property name="relationid" type="java.lang.String">
            <column name="RELATIONID" length="50" />
        </property>
        <property name="smttypeid" type="java.lang.String">
            <column name="SMTTYPEID" length="50" />
        </property>
        <property name="content" type="java.lang.String">
            <column name="CONTENT" length="4000" />
        </property>
        <property name="descr" type="java.lang.String">
            <column name="DESCR" length="4000" />
        </property>
        <property name="shoptypeid" type="java.lang.String">
            <column name="SHOPTYPEID" length="100" />
        </property>
        <property name="shoptypename" type="java.lang.String">
            <column name="SHOPTYPENAME" length="100" />
        </property>
        <property name="categoryid" type="java.lang.String">
            <column name="CATEGORYID" length="100" />
        </property>
        <property name="categoryname" type="java.lang.String">
            <column name="CATEGORYNAME" length="200" />
        </property>
        <property name="status" type="java.lang.String">
            <column name="STATUS" length="10" />
        </property>
        <property name="applyoper" type="java.lang.String">
            <column name="APPLYOPER" length="50" />
        </property>
        <property name="oper" type="java.lang.String">
            <column name="OPER" length="50" />
        </property>
        <property name="opertime" type="java.util.Date">
            <column name="OPERTIME" length="7" />
        </property>
        <property name="answer" type="java.lang.String">
            <column name="ANSWER" length="4000" />
        </property>
        <property name="assignoper" type="java.lang.String">
            <column name="ASSIGNOPER" length="100" />
        </property>
        <property name="assignopertime" type="java.util.Date">
            <column name="ASSIGNOPERTIME" length="7" />
        </property>
        <property name="updateflag" type="java.lang.String">
            <column name="UPDATEFLAG" length="10" />
        </property>
        <property name="updatetime" type="java.util.Date">
            <column name="UPDATETIME" length="7" />
        </property>
        <property name="updatedescr" type="java.lang.String">
            <column name="UPDATEDESCR" length="1000" />
        </property>
        <property name="openflag" type="java.lang.String">
            <column name="OPENFLAG" length="100" />
        </property>
        <property name="customertypeid" type="java.lang.Integer">
            <column name="CUSTOMERTYPEID" precision="6" scale="0" />
        </property>
        <property name="customertype" type="java.lang.String">
            <column name="CUSTOMERTYPE" length="100" />
        </property>
        <property name="typeid" type="java.lang.String">
            <column name="TYPEID" length="100" />
        </property>
        <property name="typename" type="java.lang.String">
            <column name="TYPENAME" length="100" />
        </property>
        <property name="typecolor" type="java.lang.String">
            <column name="TYPECOLOR" length="100" />
        </property>
        <property name="reserve1" type="java.lang.String">
            <column name="RESERVE1" length="200" />
        </property>
        <property name="reserve2" type="java.lang.String">
            <column name="RESERVE2" length="200" />
        </property>
        <property name="reserve3" type="java.lang.String">
            <column name="RESERVE3" length="200" />
        </property>
        <property name="reserve4" type="java.lang.String">
            <column name="RESERVE4" length="200" />
        </property>
        <property name="reserve5" type="java.lang.String">
            <column name="RESERVE5" length="200" />
        </property>
        <property name="reserve6" type="java.lang.String">
            <column name="RESERVE6" length="200" />
        </property>
    </class>
</hibernate-mapping>
